|  | Home · All Classes · All Functions · Overviews

# QDecorationFactory Class Reference
[QtGui module]

The QDecorationFactory class creates window decorations in Qt for Embedded Linux. More...

     #include <QDecorationFactory>

- List of all members, including inherited members

## Static Public Members

QDecoration * | create ( const QString & key )
QStringList | keys ()

## Detailed Description

The QDecorationFactory class creates window decorations in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

QDecorationFactory is used to detect and instantiate the available decorations, allowing Qt for Embedded Linux to load the preferred decoration into the application at runtime. The create() function returns a QDecoration object representing the decoration identified by a given key. The valid keys (i.e. the supported decorations) can be retrieved using the keys() function.

Qt for Embedded Linux provides three built-in decorations: `Default`, `Styled` and `Windows`. In addition, custom decorations can be added using Qt's plugin mechanism, i.e. by subclassing the QDecoration class and creating a mouse driver plugin (QDecorationPlugin).

See also QDecoration and QDecorationPlugin.

## Member Function Documentation

### QDecoration * QDecorationFactory::create ( const QString & key ) `[static]`

Creates the decoration specified by the given key. Note that the keys are case-insensitive.

See also keys().

### QStringList QDecorationFactory::keys () `[static]`

Returns the list of valid keys, i.e., the available decorations.

See also create().